net.sourceforge.jnlp.runtime

## Class Boot

- java.lang.Object
- - net.sourceforge.jnlp.runtime.Boot

All Implemented Interfaces:
  java.security.PrivilegedAction<java.lang.Void>

    public final class Boot
    extends java.lang.Object
    implements java.security.PrivilegedAction<java.lang.Void>

This is the main entry point for the JNLP client. The main method parses the command line parameters and loads a JNLP file into the secure runtime environment. This class is meant to be called from the command line or file association; to initialize the netx engine from other code invoke the `JNLPRuntime.initialize` method after configuring the runtime.

### Field Summary

Fields
`static java.lang.String` `name`
`static java.lang.String` `version`

### Constructor Summary

Constructors
Constructor and Description
`Boot()`

### Method Summary

Methods
`static void` `main(java.lang.String[] argsIn)` Launch the JNLP file specified by the command-line arguments.
`java.lang.Void` `run()` The privileged part (jdk1.3 compatibility).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public static final java.lang.String name

#### version

    public static final java.lang.String version

### Constructor Detail

#### Boot

    public Boot()

### Method Detail

#### main

    public static void main(java.lang.String[] argsIn)

Launch the JNLP file specified by the command-line arguments.

#### run

    public java.lang.Void run()

The privileged part (jdk1.3 compatibility).

Specified by:
  `run` in interface `java.security.PrivilegedAction<java.lang.Void>`